Bug 810695 - Random freezes
Random freezes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 08:19 EDT by Boricua
Modified: 2013-07-31 17:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:47:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boricua 2012-04-08 08:19:24 EDT
Description of problem:
Sudden, random and hard freezes forcing a hard reboot.

Version-Release number of selected component (if applicable):
Fully updated Fedora 17.

How reproducible:
At random, with no apparent trigger.

Steps to Reproduce:
1.At random, with no warning at all.
2.
3.
  
Actual results:
Total system freeze, including mouse and sound.

Expected results:
No freeze at all.

Additional info:
I'm using an nvidia gforce 8300 card which never before gave trouble.  Also at random and very probably related, I'm seeing random loss of digital output to the monitor, as in losing signal from the card.
Comment 1 Adam Jackson 2012-04-09 13:27:33 EDT
So when you say "never before", can you be more specific?  Like, "never had this problem in Fedora 16" for instance?
Comment 2 Boricua 2012-04-09 13:53:53 EDT
Sorry if I wasn't clear enough. The card has been with me since at least Fedora 14, after I replaced my not-so-reliable gforce 7300.  The digital connection worked flawlessly until Fedora 15, when I was forced to use the analog connection; same with Fedora 16.  With Fedora 17 I was able to, once again, use the digital connection.
Comment 3 Ben Pierce 2012-12-18 11:05:59 EST
I am experiencing the same issue with the nouveau driver on Fedora 17 x86_64 on MacBookPro6,2 booting EFI:

lspci:
01:00.0 VGA compatible controller: nVidia Corporation GT216 [GeForce GT 330M] (rev a2)

dmesg:
[62312.308128] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 3 Get 0x0021078ba0 Put 0x002107a3c4 IbGet 0x00000b81 IbPut 0x00000b82 State 0x80000020 (err: INVALID_CMD) Push 0x00400040
[65555.191561] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 3 Get 0x00210e5ebc Put 0x00210e76d4 IbGet 0x0000047c IbPut 0x0000047d State 0x80000000 (err: INVALID_CMD) Push 0x00400040

/var/log/Xorg.0.log:
[ 65756.411] [mi] Increasing EQ size to 4096 to prevent dropped events.
[ 65756.412] [mi] EQ processing has resumed after 947 dropped events.
[ 65756.412] [mi] This may be caused my a misbehaving driver monopolizing the server's resources.
Comment 4 Fedora End Of Life 2013-07-03 17:02:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 17:47:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.